Subject: Re: Lead poisoning

From: Arnold & Jennifer Pomerance <[email-masked]>
Date: Wed, 27 Mar 1996 01:09:13 -0800

Dave,

You and your wife should be checked for lead also.  If the 2 of you have 
high lead levels, then it has to be something you're all in contact with.

Jennifer Pomerance
Oak Ridge, Tn.
P.S.  While reading a scientific magazine some months ago I came across a 
short article about lead leaching out of lead crystal glassware.  It 
warned that wine or any other acidic beverage should NOT be served in 
lead crystal because the longer the liquid stayed in the crystal, the 
higher the lead count was!  Give me plain old glass anyday!